<div>
    <div *ngIf="idstatus === 10">
        <h2>
            <span>Purchase Non Payment Request</span>
        </h2>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'MKT' || currentAccount.idInternal === 'FIN'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-mkt']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Non Payment Request Marketing
                </span>
            </button>
        </div>
    </div>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12"></div>
    <div class="row">
        <div class="col-sm-12">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="ui-g-12">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_PIC">Tanggal</label>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                            [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                            (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1>
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_type">Status</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus" id="field_type"
                                            [style]="{'width':'100%'}">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Reset Filter" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="reset()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="nomor payment request || nomor tanda terima || nama suplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-12" *ngIf="currentAccount.idInternal === 'MKT'">
            <button class="btn btn-success float-left" (click)="serahaccMKT()" [disabled]="selected.length === 0">
                <span class="fa fa-cog"></span>
                <span class="hidden-sm-down">
                    Update Serah Accounting
                </span>
            </button>
        </div>
    </div>
    <br>
    <p-dataTable [value]="payments" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpay" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Payment">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopay}}
            </ng-template>
        </p-column>
        <p-column header="Dibayar Kepada">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.paytoname}}
            </ng-template>
        </p-column>
        <p-column header="Jenis Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.is_cn}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Buat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Serah ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtregacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Release">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.payform === 'MKT'">
                    {{rowData.dtacc | date:'dd-MM-yyyy'}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="Tanggal Tempo">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtdue | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tipe">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.payment_type.description}}
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.stype}}
                <div *ngIf="rowData.statuses.statustype === 13">
                    <button pButton type="button" icon="fa-eye" class="flat-button" pTooltip="Catatan Cancel Payment"
                        (click)="cekCancelNote(rowData)">
                    </button>
                </div>
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-12">
                    <div *ngIf="rowData.payment_type.idpaytyp === 61 && currentAccount.idInternal === 'MKT'">
                        <button pButton type="button" [routerLink]="['../payment-non-edit-mkt/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" [routerLink]="['../payment-non-edit-mkt/' + rowData.idpay + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10">
                        </button>
                    </div>
                    <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="cancelPay(rowData)"
                        pTooltip="Cancel Payment">
                    </button>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-dialog header="Catatan" [(visible)]="newModalCancelNote" modal="true" [width]="700">
    <form name="cancelNotesForm" role="form" novalidate (ngSubmit)="modalCacelPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="cancelNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="cancelNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>

<!-- <p-confirmDialog></p-confirmDialog> -->